# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/multemp/kontakt.mk -*-
# Time-stamp: <2015-03-01 14:16:28 phm>

MPX ?= $(shell srcfpfx)
${DOK}.kontakt.zh_tw.html:	${DOK}.kontakt.zh.html
	hanzi_konv -k x2tw -o $@ $<
${DOK}.kontakt.zh_cn.html:	${DOK}.kontakt.zh.html
	hanzi_konv -k x2cn -o $@ $<
define kontakt_regul
${DOK}.kontakt.${1}.html:	${DOK}.kontakt.html.tmpl ${MPX}lng.${DOK}.${1}.txt.pag
	mlht -v -o $$@ --ts mode=html --tf ${MPX}var.${DOK}.mk --dok ${DOK} --lang ${1} $$<
endef
$(foreach lang,${LANGS},$(eval $(call kontakt_regul,${lang})))
.phony:	kontakt	

kontakt:	$(foreach lang,${LANGS},${DOK}.kontakt.${lang}.html) $(if $(findstring zh,${LANGS}),$(foreach lv,tw cn,${DOK}.kontakt.zh_${lv}.html))


