# -*- mode: makefile; srcfile: ttmk2objs.mk.org -*-

TMPL_OBJS := $(foreach src,$(wildcard *.vars),$(basename $(src)))
TTMK_OBJS := $(foreach src,$(wildcard *.ttmk),$(basename $(src)))
define tmplrgl
$(1):	$(1).vars $(1).tmpl
	PERL5LIB=/adv/perl/stabil tmplfil -o $(1) --tf $(1).vars $(1).tmpl
endef
define ttmkregl
$(1):	$(1).ttmk $(1).tt
	PERL5LIB=/adv/perl/stabil tmplfil -o $(1) --tf $(1).tv $(1).tt
endef
$(foreach src,${TMPL_OBJS},$(eval $(call tmplrgl,$(src))))
$(foreach src,${TTMK_OBJS},$(eval $(call ttmkregl,$(src))))
