# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/cpantbz.mk -*-
# PAK must set BAV and URL, see e.g. /adv/pak/perl-Test-Taint/PAK.mk
# EXTRAS is for extra documents to be inserted in the packages, as attempted unsuccessfully in perl-OpenOffice-OODoc

include PAK.mk
TOP ?= MANIFEST
/ul/src/${BAV}.tar.gz:
	cd /ul/src && wget ${URL}
/ul/src/${BAV}.tar.bz2:	/ul/src/${BAV}.tar.gz
	tgz2tbz $<
${BAV}.tar.bz2:	/ul/src/${BAV}.tar.bz2
	ln -s $< .
	svn add $@
${BAV}/${TOP}:	${BAV}.tar.bz2
	tar xjmvf $<
define cp_extra
${BAV}/${1}:	${1}
	cp -vf $$< ${BAV}
endef
$(foreach fyl,${EXTRAS},$(eval $(call cp_extra,${fyl})))
all:	${BAV}/${TOP} $(foreach fyl,${EXTRAS},${BAV}/${fyl})
#EOF
