# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/ebk.mk -*-

.PHONY:	ebk stordir ebk_nodel ebk_kard ebk_kard_nodel stor2disk kard2stor kard2stor_del disk2stor disk2stor_del stor2kard stor2kard_del dsx ds skx sk ks sd ksx 
DUM := $(shell rm -f 00find.txt)
ifndef STORDIR
STORDIR := /ul/ebk${EBKDIR}
endif
ifndef KARDDIR
KARDDIR := /ebk${EBKDIR}
endif
ifndef DISKDIR
DISKDIR = ./
endif

stordir:
	mkdir -p ${STORDIR}
00find.txt:
	find -name '[0-9][0-9][a-z]*[^~]' | grep -vw .svn | tee $@
dsx disk2stor_del ebk:	00find.txt stordir
	rsync -rutvL --delete --exclude-from=${EXCLUDE} ./ ${STORDIR}/
ds disk2stor:	00find.txt stordir
	rsync -rutvL --exclude-from=${EXCLUDE} ./ ${STORDIR}/
skx stor2kard_del ebk_kard:	disk2stor_del ${KARDDIR}
	sudo rsync -rutv --delete --exclude-from ${EXCKARD} ${STORDIR}/ ${KARDDIR}/
sk stor2kard:	disk2stor ${KARDDIR}
	sudo rsync -rutv --exclude-from ${EXCKARD} ${STORDIR}/ ${KARDDIR}/
ks kard2stor:	${KARDDIR}
	sudo rsync -rutv --exclude-from ${EXCKARD} ${KARDDIR}/ ${STORDIR}/
ksx kard2stor_del:	/ebk${EBKDIR}
	sudo rsync -rutv --delete --exclude-from ${EXCKARD} ${KARDDIR}/ ${STORDIR}/
sd stor2disk:	${STORDIR}
	rsync -rutvL -exclude-from=${EXCLUDE} ${STORDIR}/ ${DISKDIR}
