# -*- coding: utf-8; mode: tt; srcfile: /adv/mktdir/include/hostsyskonfig.tmpl -*-

export OS = suse# e.g. suse, debian, ubuntu, android
export OSVER = suse13_1# e.g. suse13_1
export OSARCH = xf86_64# processor architecture e.g. i538 xf8_64
export OSVERNUM = 1301# 1301 for suse13_1
export MACKLAS = genba# genba for internet server, sukli for local suse client
export BUILD_DIST = 13.1-x86_64# for createrepo, e.g. 13.1-x86_64
export BUILD_ARCHS = x86_64:i686:i586:i486:i386# architectures for which we build using createrepo
export GEMSVER = 2.0.0# version of the Ruby installer Gems
export ARCHLIBDIR = /usr/lib64# location of architecture-dependent libraries e.g. of Ruby, /usr/lib or /usr/lib64
export PERLVER = 5.18.1# Perl version
export VENDOR_PERL_DIR = /usr/lib/perl5/vendor_perl/5.18.1# where RPM-packaged Perl libraries reside
export SITE_PERL_DIR = /usr/lib/perl5/site_perl/5.18.1# where non-RPM perl such as CPAN-installed libraries reside
export PERL_OPENPGP = # whether we use Crypt::OpenPGP here
export DOCBOOK_WEBSITE_DIR = /usr/share/xml/docbook/custom/website/2.6.0# location of Docbook sample website
export DEPLATE_VER = 0.8.5# Deplate version
export DEPLATE_BIN = deplate2.0# basename of Deplate executable, deplate or deplate2.0
export PHPVER = 5# version of PHP language
export NETDEV = eth0# network device to use for ifconfig, iwconfig etc when firing up internet/wifi with NM/ifup
export RFSDEV = sda3# root file system device under /dev/ dir for use in /etc/fstab
# Machine-specific configuration variables of more private nature go here.
sinclude a2e/hostkonfig.mk
include a2e/users.mk
# EOF