# -*- mode: makefile; coding: utf-8 -*-
# Time-stamp: <2006-12-12 02:39:28 a2e>

LL =? ${LANG}
HTML_OPTS ?= --make_tables --table_type DELIM=1 
STYLE_URL ?= all:/css/common.css,screen:/css/screen.css,printer:/css/print.css,projection:/css/projection.css

${DOK}.dict.txt:
	touch ${DOK}.dict.txt
${DOK}.dict.${LL}.txt:
	touch ${DOK}.dict.${LL}.txt
${DOK}.doksrow.${LL}.html:
	makedoksrow ${DOK} ${LL} > ${DOK}.doksrow.${LL}.html
${DOK}.nav.${LL}.html:	${DOK}.nav.${LL}.txt
	nav2html ${NAV2HTML_OPTS} ${DOK}.nav.${LL}.txt > ${DOK}.nav.${LL}.html
index.${LL}.html:	@top-${DOK}.${LL}.txt ${DOK}.dict.txt ${DOK}.dict.${LL}.txt ${DOK}.langs.${LL}.html ${DOK}.doksrow.${LL}.html ${DOK}.nav.${LL}.html
	ptxt2html ${HTML_OPTS} --style_url ${STYLE_URL} --links_dictionaries ${DOK}.dict.txt --links_dictionaries ${DOK}.dict.${LL}.txt -o index.${LL}.html -- @top-${DOK}.${LL}.txt
ifdef TOC
	hypertoc --ol --ol_num_levels 4 --toclabel "${TOC}" --toc_tag sectmenu --gen_anchors --gen_toc --overwrite --inline index.${LL}.html
endif
${DOK}.kal.${LL}.html:	${DOK}.${LL}.ics
	konsolekalendar --file $< --all --date 2006-11-01 --export-type HTMLmonth --export-file $@

all:	index.${LL}.html ${ALL_EXTRA}
#EOT
