# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/multemp/conv.mk.tmpl -*-

ifndef DEPLATE_BIN
include a2e/hostsyskonfig.mk
endif
export CONV = deplate
ifndef DEPLATE_VER
export DEPLATE_VER := $(shell ${DEPLATE_BIN} --version)
endif
export LATEX_PREPROC ?= u2tex
export CONV_VER = ${DEPLATE_VER}
export CONV_OPTS ?= --no-simple-names -m utf8
export HTML_OPTS ?= -A X,W -f xhtml10t -t ${TOPDIRDOK}.xhtml
export XHTML_OPTS ?= ${HTML_OPTS}
export LATEX_OPTS ?= -X -f latex -m koma -m latex-verbatim-small -t ${TOPDIRDOK}.tex
DBA ?= $(shell if test -r ${TOPDIRDOK}.dba;then echo ${TOPDIRDOK}.dba;else echo /opt/a2e/share/tmpl/multemp/a2e.dba;fi)
export DOCBOOK_OPTS ?= -X -f dbk-article -t ${DBA}
export HTMSNIP_OPTS ?= -f html-snippet
export PLAIN_OPTS ?= -f plain
export DOCBOOK_DSL ?= /usr/share/sgml/docbook/docbook-dsssl-stylesheets/print/docbook.dsl
#EOT
