ORGS := $(shell find -name '*.org' | xargs grep -lw shebang)
# file:/phm/24/06/28/sig/_lng.phm_pub_sig240628.txt::ooshebang
OBJS := $(foreach org,${ORGS},$(shell expr ${org} : '\(.*\)\.org'))
define tangle
$(1):	$(1).org
	org_tangle $$<
endef
$(foreach obj,${OBJS},$(eval $(call tangle,${obj})))
.PHONY:	objs
objs:	${OBJS}
subobjs:	${OBJS}
	@echo target subobjs is outdated, pls change to objs.
oblern:
	@echo ORGS: ${ORGS}
	@echo OBJS: ${OBJS}
# Local Variables:
# coding: utf-8
# mode: makefile
# srcfile: "/adv/mktdir/include/orgs2objs.mk"
# End:
